﻿using System;
using System.Collections.Generic;
using System.Linq;
//using System.Threading.Tasks; //.NET Framework 3.5 には含まれない
using System.Windows.Forms;
using System.Diagnostics;   //<Vern1.11>で追加

namespace Alarm
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            // <Ver 1.11>Alarm.exe単独機能をさせない
            bool c = false;
            Process [] ps = Process.GetProcessesByName("MyClock");
            foreach (Process p in ps)
            {
                if (p.MainWindowTitle == "MyClock")
                    c=true;
            }
            if (!c)
            {
                MessageBox.Show("単独では起動できません.\nMyClockから呼び出して使います.",
                                    "Alarm.exe", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Alarm());
        }
    }
}
